<bugID>600095<Summary>Followup test fixes after lazy console lands</Summary><Description>There are a few tests that need to be fixed or removed or re-worked after the lazy console lands:

toolkit/components/console/hudservice/tests/browser/browser_webconsole_consoleonpage.js-60-      // is(consoleIFrame, undefined, "Console object was removed fro
m iFrame");
toolkit/components/console/hudservice/tests/browser/browser_webconsole_consoleonpage.js:61:      // TODO: file a followup bug to fix this test

toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_593003_iframe_wrong_hud.js-157-function test() {
toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_593003_iframe_wrong_hud.js-158-  return;
toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_593003_iframe_wrong_hud.js:159:  // TODO: this test is borked by the new lazy console
.

toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_586142_insert_newlines.js-27-function test()
toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_586142_insert_newlines.js-28-{
toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_586142_insert_newlines.js-29-  return;
toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_586142_insert_newlines.js:30:  // TODO: figure out why this test fails. file a follow
up bug

toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js.rej-26-+  // return here as the below bits fail. not sure why. moving on.
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js.rej:27:+  // TODO: file a bug about this failing test.
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js.rej-28-+

toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js:303:      // TODO fix this tes, file followup bug
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-304-      // let logLogged = (outputChildren[2].textContent.indexOf("logging")
 != -1);
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-305-      // ok(logLogged, "log() is logged");
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-306-

toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-225-  return;
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-226-  // return here as the below bits fail. not sure why. moving on.
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js:227:  // TODO: file a bug about this failing test.
toolkit/components/console/hudservice/tests/browser/browser_HUDServiceTestsAll.js-228-</Description></bugID>